/**
 *
 */
package org.gcube.data.analysis.dminvocation.model;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;


/**
 * The Class DataMinerInputParams.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * Dec 4, 2018
 */
@XmlRootElement(name = "dataminer-inputparams")
@XmlAccessorType (XmlAccessType.FIELD)
public class DataMinerInputParams implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = -7241629940190729604L;

	@XmlElement(name = "param")
	private List<DataMinerParam> listParam;


	/**
	 * Instantiates a new data miner input params.
	 */
	public DataMinerInputParams() {
	}



	/**
	 * Instantiates a new data miner input params.
	 *
	 * @param listParam the list param
	 */
	public DataMinerInputParams(List<DataMinerParam> listParam) {

		super();
		this.listParam = listParam;
	}


	/**
	 * Gets the list param.
	 *
	 * @return the listParam
	 */
	public List<DataMinerParam> getListParam() {

		return listParam;
	}



	/**
	 * Sets the list param.
	 *
	 * @param listParam the listParam to set
	 */
	public void setListParam(List<DataMinerParam> listParam) {

		this.listParam = listParam;
	}



	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DataMinerInputParams [listParam=");
		builder.append(listParam);
		builder.append("]");
		return builder.toString();
	}

}
