/**
 *
 */
package org.gcube.data.analysis.dminvocation.model;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * The Class DataMinerInvocation.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * Dec 4, 2018
 */
@XmlRootElement(name = "dataminer-invocation")
@XmlAccessorType (XmlAccessType.FIELD)
public class DataMinerInvocation implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = -3642902539322040226L;

	@XmlElement(name = "operator-id")
	private String operatorId;

	@XmlElement(name = "parameters")
	private DataMinerParameters parameters;

	/**
	 * Instantiates a new data miner invocation.
	 */
	public DataMinerInvocation() {
	}

	/**
	 * Instantiates a new data miner invocation.
	 *
	 * @param operatorId the operator id
	 * @param parameters the parameters
	 */
	public DataMinerInvocation(
		String operatorId, DataMinerParameters parameters) {

		super();
		this.operatorId = operatorId;
		this.parameters = parameters;
	}


	/**
	 * Gets the operator id.
	 *
	 * @return the operatorId
	 */
	public String getOperatorId() {

		return operatorId;
	}


	/**
	 * Gets the parameters.
	 *
	 * @return the parameters
	 */
	public DataMinerParameters getParameters() {

		return parameters;
	}


	/**
	 * Sets the operator id.
	 *
	 * @param operatorId the operatorId to set
	 */
	public void setOperatorId(String operatorId) {

		this.operatorId = operatorId;
	}


	/**
	 * Sets the parameters.
	 *
	 * @param parameters the parameters to set
	 */
	public void setParameters(DataMinerParameters parameters) {

		this.parameters = parameters;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DataMinerInvocation [operatorId=");
		builder.append(operatorId);
		builder.append(", parameters=");
		builder.append(parameters);
		builder.append("]");
		return builder.toString();
	}

}
