/**
 *
 */
package org.gcube.data.analysis.dminvocation.model;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;


/**
 * The Class DataMinerOutputParams.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * Dec 4, 2018
 */
@XmlRootElement(name = "dataminer-outputparams")
@XmlAccessorType (XmlAccessType.FIELD)
public class DataMinerOutputParams implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = -683773454747370184L;

	@XmlElement(name = "param")
	private List<DataMinerParam> params;

	/**
	 * Instantiates a new data miner output params.
	 */
	public DataMinerOutputParams() {
	}


	/**
	 * Instantiates a new data miner output params.
	 *
	 * @param params the params
	 */
	public DataMinerOutputParams(List<DataMinerParam> params) {

		super();
		this.params = params;
	}


	/**
	 * Gets the params.
	 *
	 * @return the params
	 */
	public List<DataMinerParam> getParams() {

		return params;
	}


	/**
	 * Sets the params.
	 *
	 * @param params the params to set
	 */
	public void setParams(List<DataMinerParam> params) {

		this.params = params;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DataMinerOutputParams [params=");
		builder.append(params);
		builder.append("]");
		return builder.toString();
	}

}
