/**
 *
 */
package org.gcube.data.analysis.dminvocation.model;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;



/**
 * The Class DataMinerParameters.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * Dec 4, 2018
 */
@XmlRootElement(name = "dataminer-parameters")
@XmlAccessorType (XmlAccessType.FIELD)
public class DataMinerParameters implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = 8298755690515099551L;
	@XmlElement(name = "input")
	private DataMinerInputParams input;
	@XmlElement(name = "output")
	private DataMinerOutputParams output;

	/**
	 * Instantiates a new data miner params model.
	 */
	public DataMinerParameters() {

	}

	/**
	 * Instantiates a new data miner params model.
	 *
	 * @param input the input
	 * @param output the output
	 */
	public DataMinerParameters(
		DataMinerInputParams input, DataMinerOutputParams output) {

		super();
		this.input = input;
		this.output = output;
	}


	/**
	 * Gets the input.
	 *
	 * @return the input
	 */
	public DataMinerInputParams getInput() {

		return input;
	}


	/**
	 * Gets the output.
	 *
	 * @return the output
	 */
	public DataMinerOutputParams getOutput() {

		return output;
	}


	/**
	 * Sets the input.
	 *
	 * @param input the input to set
	 */
	public void setInput(DataMinerInputParams input) {

		this.input = input;
	}


	/**
	 * Sets the output.
	 *
	 * @param output the output to set
	 */
	public void setOutput(DataMinerOutputParams output) {

		this.output = output;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DataMinerParameters [input=");
		builder.append(input);
		builder.append(", output=");
		builder.append(output);
		builder.append("]");
		return builder.toString();
	}

}
